#if !defined(_BOX_ERROR_H_)
#define _BOX_ERROR_H_
/*	file	:	BoxError.cpp
	author	:	Allan Kelly
	date	:	10 August 1999
*/

// System includes ---------------------
#include <windows.h>

// Project includes --------------------
#include <Log.h>

// Local includes ----------------------
// <none>

namespace Log
{
	class BoxError : public LogSink
	{
		HWND _parent;
	public:
		explicit BoxError(HWND parent) : _parent(parent)
			{};
		virtual ~BoxError() 
			{};

		virtual void Debug(const std::string& msg) const
		{
			OutputDebugString(msg.c_str());
		};

		virtual void Information(const std::string& msg) const
		{
			MessageBox(_parent, msg.c_str(), "Information", 
							(MB_OK | MB_ICONINFORMATION));
		};

		virtual void Warning(const std::string& msg) const
		{
			MessageBox(_parent, msg.c_str(), "Warning", 
							(MB_OK | MB_ICONEXCLAMATION));
		};

		virtual void Error(const std::string& msg) const
		{
			MessageBox(_parent, msg.c_str(), "Error", 
							(MB_OK | MB_ICONSTOP));
		};
	};
}
#endif

