#if !defined(_FILE_ERROR_H_)
#define _FILE_ERROR_H_
/*	file	:	FileError.cpp
	author	:	Allan Kelly
	date	:	10 August 1999
*/

// System includes ---------------------
#include <iostream>
#include <fstream>

// Project includes --------------------
#include <Log.h>

// Local includes ----------------------
// <none>

namespace Log
{
	class FileError : public LogSink
	{
		mutable std::fstream _out;
	public:
		explicit FileError(const std::string& filename) 
			: _out(filename.c_str(), std::ios::out)
		{
			_out << "Log open"<< std::flush  << std::endl;
		}
		virtual ~FileError() {};

		virtual void Debug(const std::string& msg) const
		{
			_out << msg << std::flush << std::endl;
		};

		virtual void Information(const std::string& msg) const
		{
			_out << msg << std::flush << std::endl;
		};

		virtual void Warning(const std::string& msg) const
		{
			_out << msg << std::flush << std::endl;
		};

		virtual void Error(const std::string& msg) const
		{
			_out << msg << std::flush << std::endl;
		};
	};
}
#endif

